Linux-GPIB 4.3.7 Documentation
Prev |  | Next

# AllSPoll

## Name

AllSPoll -- serial poll multiple devices

## Synopsis

    #include <gpib/ib.h>

``void AllSPoll`(int board_desc, Addr4882_t *addressList, short *resultList);`

``void AllSpoll`(int board_desc, const Addr4882_t *addressList, short *resultList);`

## Description

AllSPoll() causes the interface board specified by `board_desc` to serial poll all the GPIB addresses specified in the `addressList` array. The results of the serial polls are stored into `resultList`. If you only wish to serial poll a single device, ReadStatusByte() or ibrsp() may be more convenient.

This function may also be invoked with the alternate capitalization 'AllSpoll' for compatibility with NI's library.

Prev | Home | Next
"Multidevice" API Functions | Up | DevClear